# Amuse: amuse::IBackendSubmix Class Reference

amuse::IBackendSubmix Class Referenceabstract

`#include <IBackendSubmix.hpp>`

Inheritance diagram for amuse::IBackendSubmix:
Collaboration diagram for amuse::IBackendSubmix:

## Public Member Functions

virtual void | setChannelGains (const float gains[8])=0
virtual std::unique_ptr< IBackendVoice > | allocateVoice (Voice &clientVox, double sampleRate, bool dynamicPitch)=0
virtual double | getSampleRate () const =0
virtual SubmixFormat | getSampleFormat () const =0

## Detailed Description

Client-implemented submix instance

Definition at line 19 of file IBackendSubmix.hpp.

## Member Function Documentation

virtual std::unique_ptr<IBackendVoice> amuse::IBackendSubmix::allocateVoice | ( | Voice & | clientVox,
|  | double | sampleRate,
|  | bool | dynamicPitch
| ) |  |

pure virtual

Amuse obtains a new voice from the platform outputting to this submix

Implemented in amuse::BooBackendSubmix.

virtual SubmixFormat amuse::IBackendSubmix::getSampleFormat | ( |  | ) | const

pure virtual

Amuse gets fixed sample format of submix this way

Implemented in amuse::BooBackendSubmix.

virtual double amuse::IBackendSubmix::getSampleRate | ( |  | ) | const

pure virtual

Amuse gets fixed sample rate of submix this way

Implemented in amuse::BooBackendSubmix.

virtual void amuse::IBackendSubmix::setChannelGains | ( | const float | gains[8] | ) |

pure virtual

Set channel-gains for submix (AudioChannel enum for array index)

Implemented in amuse::BooBackendSubmix.

The documentation for this class was generated from the following file:

- include/amuse/IBackendSubmix.hpp